Das Wartungs-Release 2.8.1 wurde jetzt in der Version Beta 1 veröffentlicht. Die Entwickler haben damit zügig auf verschiedene Probleme, die durch 2.8 auftraten, reagiert. Bis zum finalen Release wird es nicht mehr lange dauern.

Die folgenden Probleme wurden schon behoben:

  • bei verschiedenen Themes gab es in Version 2.8 ein Problem mit dem Template-Tag get_categories(), dieses Problem wurde behoben
  • bei einigen Benutzern traten massive Probleme im Zusammenhang mit der PHP-Speicherplatznutzung auf, dieser Verbrauch wurde reduziert
  • die automatische Aktualisierung, insofern sie nicht vollständig durchgeführt werden konnte, führte in einigen Fällen zum unbeabsichtigten Löschen von Dateien. Dieses Problem wurde behoben
  • ein Problem mit dem Texteditor wurde behoben
  • die Sicherheit in Bezug auf die Überprüfung von Rechten seitens Plugins wurde erhöht
  • es wurde eine Sicherheitserweiterung eingebunden, die vor Plugins schützt, welche keine Überprüfung von Rechten vornehmen

Obwohl dieses Release stabil ist, raten wir immer, Betaversionen nicht im produktiven Umfeld einzusetzen und auf die Freigabe der finalen Version 2.8.1 zu warten.

Offizielles Entwicklerstatement
Download der Beta 1
Automatische Aktualisierung von Entwicklerversionen

In den folgenden Beiträgen haben wir einige der Probleme erläutert:

Fatal error: Allowed memory size of *** bytes exhausted…
Warnhinweise zum Update auf WordPress 2.8